<?php
/**
 * @file nodereference-explorer-dialog.tpl.php
 * Template to display a dialog with views
 *
 * - $handler: The widget handler object
 *   - $handler->nid: current node id
 *   - $handler->get_id($key): get an id of a html tag
 * 	 - $handler->get_all_displays: get all displays of the view
 *   - $handler->get_display($id): get a specific display of a view
 * - $dialog: Array containing window dialog settings, e. g. theme class
 * - $display: A display of a view
 *   - $display->display_title: Label of the display
 * @ingroup views_templates
 *
 * The style attribute "overflow: auto" enables automatic scrollbars when resizing
 * the dialog.
 */
if (!isset($dialog['dialogClass']) || $dialog['dialogClass'] == '') {
  $dialog['dialogClass'] = 'nodereference-explorer-dialog';
}

?>
<div id="<?php print $handler->get_id('dialog', $id-1); ?>" title="<?php print $dialog['title'];?>"
style="overflow: auto; display:none;" class="<?php print $dialog['dialogClass'];?>">
	<input class="<?php print $handler->get_id('cache', $id-1); ?>" type="hidden" value="<?php print $handler->nid; ?>"/>
	 <?php foreach ($handler->get_all_displays() as $display_id => $display): ?>
	 	<?php if ($display_id == $handler->get_first_display()) { $style = 'display:true'; } else { $style = 'display:none'; }?>
	 	<div id="nodereference-explorer-views-filters-<?php print $handler->get_id('display', $id-1) . '-' . $display_id?>" class="nodereference-explorer-views-filters" style="<?php print $style ?>">
   	     <?php print $handler->get_exposed_form($display_id); //exposed filters ?>
	 	</div>
	 <?php endforeach; ?>
	<div id="<?php print $handler->get_id('tabs', $id-1);?>">
		<ul>
		  <?php foreach ($handler->get_all_displays() as $display_id => $display): ?>
		  	<?php if ($display_id != 'default'): ?>
		  	  <li class="nodereference-explorer-dialog-tabs-tab" title="<?php print $display->display_title; ?>">
		  	    <a href="<?php print '#' . $handler->get_id('display', $id-1) . '-' . $display_id ?>"><?php print $display->display_title ?></a>
		 	  </li>
		 	<?php endif; ?>
	      <?php endforeach; ?>
	  	</ul>
	    <?php foreach ($handler->get_all_displays() as $display_id => $display): ?>
			<div id="<?php print $handler->get_id('display', $id-1) . '-' . $display_id ?>">
				<?php print $handler->get_display($display_id);?>
			</div>
	    <?php endforeach; ?>
	</div>
</div>